Name:		protege
Summary:	A free, open source ontology editor and knowledge-base framework
Version:	3.4beta
Release:	1%{?dist}
Source0:	http://protege.stanford.edu/download/prerelease/%{name}-src-3.4.zip
Source1:	Protege.png
Source2:	Protege.sh
#Source1:	http://protege.stanford.edu/download/prerelease/protege-owl-src-3.4.zip
#Source2:	http://protege.stanford.edu/download/prerelease/standard-extensions-src-3.4.zip

Url:		http://protege.stanford.edu/
Group:		Applications/Text
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ant, java-devel
BuildRequires:  desktop-file-utils
BuildRequires:	jgoodies-looks log4j junit
#BuildRequires:	 postgresql-jdbc
Requires:	java
Requires:	jgoodies-looks log4j 
#Requires:	postgresql-jdbc
License:	MPL
BuildArch: 	noarch

%description
The Protégé platform supports two main ways of modeling ontologies via the
Protégé-Frames and Protégé-OWL editors. Protégé ontologies can be exported
into a variety of formats including RDF(S), OWL, and XML Schema.

Protégé is based on Java, is extensible, and provides a plug-and-play
environment that makes it a flexible base for rapid prototyping and
application development.

Protégé is supported by a strong community of developers and academic,
government and corporate users, who are using Protégé for knowledge
solutions in areas as diverse as biomedicine, intelligence gathering, and
corporate modeling


%prep
%setup -q -n Protege\ 3.4
	
# clean dependencies:
rm lib/junit.jar
ln -s /usr/share/java/junit.jar lib/junit.jar
rm lib/looks-2.1.3.jar
ln -s /usr/share/java/jgoodies-looks.jar lib/looks-2.1.3.jar
#rm lib/unicode_panel.jar

#mkdir ./dbdrivers
#ln -s /usr/share/java/postgresql-jdbc3.jar ./dbdrivers/

# this shows the netbeans jar needed to compile nmonics...
find . -name \*.jar -exec echo {} . \;

%build
ant jar

%install 
rm -Rf $RPM_BUILD_ROOT

#install our jar file
#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}

install -pm  0755 dist/protege.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -pm  0755 lib/unicode_panel.jar $RPM_BUILD_ROOT%{_javadir}/unicode_panel.jar

install -pm  0755 %SOURCE1 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png

pushd $RPM_BUILD_ROOT%{_javadir}
	ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
popd

install -pm  0755 %SOURCE2 $RPM_BUILD_ROOT/%{_bindir}/%{name}

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/fedora-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Exec=%{name}
Icon=protege.png
Comment=Ontology editor
Comment[es]=Editor de ontologías
Terminal=false
Type=Application
Categories=Java;Development;IDE;
X-AppInstall-Package=%{name}
EOF

desktop-file-install  --vendor "fedora" --dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/fedora-%{name}.desktop 

# ant -propertyfile %{SOURCE1} javadoc
# mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
# cp -rp dist/javadoc/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_bindir}/*
%{_javadir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_iconsdir}/%{name}.png

#%doc ./release/changes.txt release/doc-license.txt release/license.txt release/readme*.txt release/join.html

# %files javadoc
# %defattr(-,root,root,-)
# %{_javadocdir}/*


%changelog

* Tue Feb 3 2009 Ismael Olea <ismael@olea.org> 3.4beta-1
- first release 